Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/watching/getwatchingshowseason

# Season detail

GET `https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}`

Returns watched episodes for a specific season of a show.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Path Parameters

#### id (path, string, required)

#### season (path, string, required)

## Response

#### 200

Season detail

#### show\_id (number, required)

#### show\_title (string, required)

#### season\_number (number, required)

#### episodes (array of object, required)

#### properties

#### season (number, required)

#### episode (number, required)

#### title (string, required)

#### watched\_at (string, required)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 404

Not found

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "show_id": 0,
  "show_title": "string",
  "season_number": 0,
  "episodes": [
    {
      "season": 0,
      "episode": 0,
      "title": "string",
      "watched_at": "string"
    }
  ]
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 404
{
  "error": "Not found",
  "status": 404
}
```
